Skip to main content
`Ctrl`+`K`

# PetscOptionsLeftRestore

Free memory for the unused PETSc options obtained using `PetscOptionsLeftGet()`.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsLeftRestore(PetscOptions options, PetscInt *N, char **names[], char **values[])

Not Collective

## Input Parameters

- options - options database, use `NULL` for default global database

- N - count of options not used

- names - names of options not used

- values - values of options not used

## Notes

The user should pass the same pointer to `N` as they did when calling `PetscOptionsLeftGet()`

## See Also

`PetscOptionsAllUsed()`, `PetscOptionsLeft()`, `PetscOptionsLeftGet()`

## Level

advanced

## Location

src/sys/objects/options.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages